Ext.ns('ec2');

Ext.onReady(function () {

  //debugger;

  Ext.BLANK_IMAGE_URL = '/system/components/ext-2/resources/images/default/s.gif';
  Ext.QuickTips.init();
  Ext.data.Connection.prototype.timeout = 120000;
  Ext.form.Field.prototype.msgTarget = 'qtip';
  //Ext.state.Manager.setProvider(new Ext.state.CookieProvider());
  // Ext.state.Manager.setProvider(new ec2.stateProvider());

  
  ec2.parmIx = window.location.search.indexOf("?");
  ec2.parm   = window.location.search.substring(ec2.parmIx+1);
  
  ec2.maximizePending = false;
  ec2.minimizePending = false;
  ec2.windowCount = 0;
  ec2.clientVersion = 'ver: E1 (2011-12-16)';
  ec2.activeObject = {};
  
  //ec2.currentTheme = ec2.profileValue.get('theme','');
  // ec2.domRoot = Ext.DomHelper.append(Ext.getBody(), {tag : 'div', id : 'dom-root', cls : 'dom-root'});

  ec2.loadScript(ec2.parm);
  
});